VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ITextEditListener Class Referenceabstract
Version 4.10

Listener for a text edit. More...

Inheritance diagram for ITextEditListener:

## Public Member Functions
virtual void | onTextEditPlatformControlTookFocus (CTextEdit *textEdit)=0
| called when the native platform text edit control was created and started to listen for keyboard input.
virtual void | onTextEditPlatformControlLostFocus (CTextEdit *textEdit)=0
| called when the natvie platform text edit control is going to be destroyed.

## Detailed Description

Listener for a text edit.

## Member Function Documentation

virtual void onTextEditPlatformControlLostFocus | ( | CTextEdit * | textEdit | ) |
| pure virtual

called when the natvie platform text edit control is going to be destroyed.

Implemented in TextEditListenerAdapter.

virtual void onTextEditPlatformControlTookFocus | ( | CTextEdit * | textEdit | ) |
| pure virtual

called when the native platform text edit control was created and started to listen for keyboard input.

Implemented in TextEditListenerAdapter.

The documentation for this class was generated from the following file:

- itexteditlistener.h